Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetReason

Sets the success/failure status of the line search application

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetReason(SNESLineSearch linesearch, SNESLineSearchReason result)

Logically Collective; No Fortran Support

## Input Parameters

- linesearch - the line search context

- result - The success or failure status

## Note

This is typically called in a `SNESLineSearchType` implementation of `SNESLineSearchApply()` or a `SNESLINESEARCHSHELL` implementation to set the success or failure of the line search method.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchReason`, `SNESLineSearchGetSResult()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages